#include "cpp.h"
#define N 7

extern double LIFE;
extern int nq;
extern double lambda[N], mu[N];

void read_parm() {
	char buf[256];
	int i;
	double lam, u, p[N];

	puts("###################################################");
	puts("\t\t\tEcho input");
	puts("###################################################");

	gets(buf);
	sscanf(buf, "%lf ", &LIFE ); // total time
	printf("\nLife is %lf \n", LIFE);	

	gets(buf);
	sscanf(buf, "%d ", &nq); // total num of queuees/classes
	printf("Total num queues is %d\n", nq);

	gets(buf);
	sscanf(buf, " %lf ", &u); //service rate
	printf("Service rate is %lf\n", u);

	gets(buf);
	sscanf(buf, " %lf ", &lam); // total arrival rate
	printf("Total arrival rate is %lf\n", lam);

	for (i=0; i<nq; i++) { // for each Queue i
		printf("\n Queue %d\n", i);
		gets(buf);
		sscanf(buf, " %lf ", &(p[i]) ); 
		lambda[i] = p[i] * lam;
		mu[i] = u;
		printf("lambda is %lf\n", lambda[i]);
		printf("mu is %lf\n", mu[i]);
	}

	puts("reading parm end");
}
